Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.ocsp
Class OCSPResp

    java.lang.Object
      org.bouncycastle.ocsp.OCSPResp

    public class OCSPResp

extends java.lang.Object

Constructor Summary
`OCSPResp(byte[] resp)`
`OCSPResp(java.io.InputStream in)`
`OCSPResp(OCSPResponse resp)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`byte[]` | `getEncoded()` return the ASN.1 encoded representation of this object.
`java.lang.Object` | `getResponseObject()`
`int` | `getStatus()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OCSPResp

    public OCSPResp(OCSPResponse resp)

### OCSPResp

    public OCSPResp(byte[] resp)
             throws java.io.IOException

Throws:
  `java.io.IOException`

### OCSPResp

    public OCSPResp(java.io.InputStream in)
             throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getStatus

    public int getStatus()

### getResponseObject

    public java.lang.Object getResponseObject()
                                       throws OCSPException

  Throws:
    `OCSPException`

### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

  return the ASN.1 encoded representation of this object.

  Throws:
    `java.io.IOException`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD